<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionMenuDialogContentBase Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('df/d26/a05290.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ExpansionMenuDialogContentBase Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ExpansionMenuDialogContentBase:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../df/d26/a05290.png" usemap="#ExpansionMenuDialogContentBase_map" alt=""/>
  <map id="ExpansionMenuDialogContentBase_map" name="ExpansionMenuDialogContentBase_map">
<area href="../../d4/d56/a05206.html" alt="ExpansionScriptView" shape="rect" coords="134,0,393,24"/>
<area href="../../d6/dbd/a05246.html" alt="ExpansionMenuDialogContent_TextScroller" shape="rect" coords="0,112,259,136"/>
<area href="../../d2/dbd/a05254.html" alt="ExpansionMenuDialogContent_WrapSpacer" shape="rect" coords="269,112,528,136"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a29af67fbda1e7f63845fad18d5d3b5ea"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d26/a05290.html#a29af67fbda1e7f63845fad18d5d3b5ea">ExpansionMenuDialogContentBase</a> (<a class="el" href="../../d6/d45/a05282.html">ExpansionMenuDialogBase</a> dialog)</td></tr>
<tr class="separator:a29af67fbda1e7f63845fad18d5d3b5ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7fba8562db2130feee61f1af0575b328"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d6/d45/a05282.html">ExpansionMenuDialogBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d26/a05290.html#a7fba8562db2130feee61f1af0575b328">GetDialog</a> ()</td></tr>
<tr class="separator:a7fba8562db2130feee61f1af0575b328"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a898020ec9ccf6227ec1bd7e0af82966d"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../d6/d45/a05282.html">ExpansionMenuDialogBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d26/a05290.html#a898020ec9ccf6227ec1bd7e0af82966d">m_Dialog</a></td></tr>
<tr class="separator:a898020ec9ccf6227ec1bd7e0af82966d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d7/d38/a01373_source.html#l00183">183</a> of file <a class="el" href="../../d7/d38/a01373_source.html">expansionmenudialogbase.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a29af67fbda1e7f63845fad18d5d3b5ea" name="a29af67fbda1e7f63845fad18d5d3b5ea"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a29af67fbda1e7f63845fad18d5d3b5ea">&#9670;&#160;</a></span>ExpansionMenuDialogContentBase()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionMenuDialogContentBase::ExpansionMenuDialogContentBase </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d6/d45/a05282.html">ExpansionMenuDialogBase</a>&#160;</td>
          <td class="paramname"><em>dialog</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d38/a01373_source.html#l00187">187</a> of file <a class="el" href="../../d7/d38/a01373_source.html">expansionmenudialogbase.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a7fba8562db2130feee61f1af0575b328" name="a7fba8562db2130feee61f1af0575b328"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7fba8562db2130feee61f1af0575b328">&#9670;&#160;</a></span>GetDialog()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d6/d45/a05282.html">ExpansionMenuDialogBase</a> ExpansionMenuDialogContentBase::GetDialog </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d38/a01373_source.html#l00192">192</a> of file <a class="el" href="../../d7/d38/a01373_source.html">expansionmenudialogbase.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a898020ec9ccf6227ec1bd7e0af82966d" name="a898020ec9ccf6227ec1bd7e0af82966d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a898020ec9ccf6227ec1bd7e0af82966d">&#9670;&#160;</a></span>m_Dialog</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d6/d45/a05282.html">ExpansionMenuDialogBase</a> ExpansionMenuDialogContentBase::m_Dialog</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d38/a01373_source.html#l00185">185</a> of file <a class="el" href="../../d7/d38/a01373_source.html">expansionmenudialogbase.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/Core/Scripts/5_mission/dayzexpansion_core/mvc/scriptviews/dialogs/<a class="el" href="../../d7/d38/a01373_source.html">expansionmenudialogbase.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../df/d26/a05290.html">ExpansionMenuDialogContentBase</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
